#!/bin/sh
# $Id: 3a_comppackages.sh 23 2016-08-01 20:54:03Z dettus $
echo " 
       -----         -----         
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
     \\       /     \\       /     \\
      \\     /       \\     /       \\
       -----         ----- detLFS  -
      /     \\       /     \\       /
     /       \\     /       \\     /
-----         -----         -----
http://www.dettus.net/detLFS/detLFS_0.04.gar.gz

 The purpose of this script is to build the packages.

 Hopefully, the previous scripts are finished at this point.
" ; date

export DETLFSROOT=`pwd`
export TOOLSDIR=`pwd`/Tools
export BUILDDIR=`pwd`/Build
export SOURCESDIR=`pwd`/Sources
export DOWNLOADSDIR=`pwd`/Downloads
export DESTINATIONDIR=`pwd`/Destination


export PATH=$TOOLSDIR/bin:$PATH
export CROSS_COMPILE=$TOOLSDIR/bin/arm-linux-gnueabihf-
export DESTDIR=$DESTINATIONDIR


echo ">>> building BINUTILS" ; date
(
	cd $BUILDDIR
	mkdir binutils2/ ; cd binutils2
	export CROSS_COMPILE=$TOOLSDIR/bin/arm-linux-gnueabihf-
	$SOURCESDIR/binutils/configure --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --prefix=/usr --with-sysroot --disable-nls --disable-werror
	echo ">>>>>" ; date
	make -j 8
	make install
)

echo ">>> installing glibc (for real)" ; date
(
	cd $BUILDDIR
	mkdir glibc5 ; cd glibc5
	$SOURCESDIR/glibc/configure --host=arm-linux-gnueabihf --prefix=/usr --with-headers=$DESTINATIONDIR/usr/include
	echo ">>>>>" ; date
	make -j 8 cross-compiling=yes
	make -j 8 cross-compiling=yes  install
	make install
)

echo ">>> installing glibc (again)" ; date
(
	cd $BUILDDIR
	mkdir glibc6 ; cd glibc6
	$SOURCESDIR/glibc/configure --host=arm-linux-gnueabihf --prefix=/arm-linux-gnueabihf/ --with-headers=$DESTINATIONDIR/usr/include
	echo ">>>>>" ; date
	make -j 8 cross-compiling=yes
	make -j 8 cross-compiling=yes  install
	make install
)

echo ">>> building gcc (arm->arm)" ; date
(
	cd $BUILDDIR
	mkdir gcc3 ; cd gcc3
	$SOURCESDIR/gcc/configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf --disable-nls --enable-languages=c,c++ --disable-multilib --with-build-sysroot=$DESTINATIONDIR
	echo ">>>>>" ; date
	make -j 8 all-gcc && make -j 8 all-target-libgcc && make install-gcc && make install-target-libgcc
	make -j 8
	make install
)

echo ">>> building make" ; date
(
	cd $BUILDDIR
	mkdir make1 ; make1
	$SOURCESDIR/make/configure --prefix=/usr --target=arm-linux-gnueabihf --host=arm-linux-gnueabihf 
	make -j 8
	make install
)

du -sh $TOOLSDIR
du -sh $BUILDDIR
du -sh $DESTINATIONDIR
du -sh $DESTINATIONDIR/boot

echo ">>> done" ; date

